<p>I will just add G_GOFFSET_FORMAT to libpurple/glibcompat.h.</p>
<div class="gmail_quote">22-10-2012 08:29, "Mark Doliner" <<a href="mailto:mark@kingant.net">mark@kingant.net</a>> napisał(a):<br type="attribution"><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
On Sun, Oct 21, 2012 at 1:42 PM, Tomasz Wasilczyk<br>
<<a href="mailto:tomkiewicz@cpw.pidgin.im">tomkiewicz@cpw.pidgin.im</a>> wrote:<br>
> Author:  Tomasz Wasilczyk <<a href="mailto:tomkiewicz@cpw.pidgin.im">tomkiewicz@cpw.pidgin.im</a>><br>
><br>
> Description:<br>
> Fix a warning and (null) in file transfer window<br>
><br>
> -                       return g_strdup_printf("%" G_GSIZE_FORMAT " %s", size, size_str[size_index]);<br>
> +                       return g_strdup_printf("%" G_GOFFSET_FORMAT " %s", size, _(size_str[size_index]));<br>
<br>
I noticed that we use G_GOFFSET_FORMAT in a few different places.<br>
Unfortunately it was added in glib 2.20 and our <a href="http://configure.ac" target="_blank">configure.ac</a> in master<br>
allows glib as far back to 2.16.0.<br>
<br>
We need to do one of the following:<br>
- Stop using G_OFFSET_FORMAT<br>
- Conditionally #define G_OFFSET_FORMAT in libpurple/internal.h<br>
- Bump up the the minimum allowed version of glib in <a href="http://configure.ac" target="_blank">configure.ac</a><br>
</blockquote></div>